#
# spec file for package rpmlint-Factory (Version 1.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rpmlint-Moblin
Requires:       rpmlint-mini
Summary:        Rpm correctness checker - Factory configuration
Version:        1.0
Release:        45.45.moblin2
Url:            http://rpmlint.zarb.org/
License:        GPL v2 or later
Group:          System/Packages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source1:        COPYING
Source2:        config

%description
Rpmlint is a tool to check common errors on rpm packages. This package
provides the configuration specific for SUSE Factory.



Authors:
--------
    Frederic Lepied <flepied@mandriva.com>
    Gwenole Beauchesne <gbeauchesne@mandriva.com>

%prep
cp %{SOURCE1} .

%build

%install
install -m 644 -D %{SOURCE2} $RPM_BUILD_ROOT/etc/rpmlint/factory.config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYING
%dir /etc/rpmlint
/etc/rpmlint/factory.config

%changelog
* Tue Nov 25 2008 Anas Nashif <anas.nashif@intel.com> 1.0
- initial import into moblin
* Tue Nov  4 2008 lnussel@suse.de
- directories with setuid/setgid bit use a different error now so only the one
  for files should be fatal.
* Tue Oct 28 2008 lnussel@suse.de
- make permissions violations fatal
* Sat Jun 28 2008 dmueller@suse.de
- remove badness for defattr again - check is unrepairable broken
* Sat Jun 28 2008 dmueller@suse.de
- install as /etc/rpmlint/factory.config to resolve bootstrapping
  issue
* Sun Jun 22 2008 dmueller@suse.de
- enable badness explicitely (needed for 0.83 update)
- add badness for missing defattr
* Thu May  1 2008 dmueller@suse.de
- add fatal badness for incorrect kmp deps (#384084bnc)
* Thu Apr 17 2008 adrian@suse.de
- add GPL v2 COPYING file and notice
* Tue Apr  8 2008 dmueller@suse.de
- rename to rpmlint-Factory
* Thu Feb 28 2008 dmueller@suse.de
- make invalid-filepath-dependency fatal (#365288)
* Tue Feb 26 2008 dmueller@suse.de
- remove dot-in-identifier check
- useless-explicit-self-provide check renamed
- add low badness for too-long summary
- fix fatal badness for percent checks (#360332)
* Tue Feb 12 2008 dmueller@suse.de
- add fatal badness for percent in dependencies (#360332)
* Thu Feb  7 2008 dmueller@suse.de
- add badness for things that were previously
  checked via brp's
* Wed Jan 23 2008 dmueller@suse.de
- add badness for makefile junk being packaged
- make libtool wrappers in packages fatal
* Wed Nov  7 2007 dmueller@suse.de
- make hardlink checks fatal (#304167)
* Fri Jun 22 2007 dmueller@suse.de
- fix the bzip2/gzip confusion once again
* Fri Jun 22 2007 dmueller@suse.de
- fix infopage scoring
- add fatal score for shared lib policy violations (#286317)
* Thu May 31 2007 dmueller@suse.de
- remove wrong-end-of-line scoring
* Wed May 23 2007 dmueller@suse.de
- only score for missing ldconfig in postin for now
- add (low) score for executable-docs
* Wed May 23 2007 dmueller@suse.de
- lower badness of duplicate files and spurious executables
* Tue May 15 2007 dmueller@suse.de
- Initial package
